summarylogtreecommitdiffstats
path: root/i2prouter.bash
diff options
context:
space:
mode:
authorskydrome2019-11-07 03:52:02 -0500
committerskydrome2019-11-07 03:52:02 -0500
commit787b06d83552c20796d5dd8886edb73cdc4ccef0 (patch)
tree1d26e4dbf34defe7c0e7ca39edc4ccdb8bd72cbc /i2prouter.bash
parent7154f7551cf69e9da2de58279244fcedd2d5f7d4 (diff)
downloadaur-787b06d83552c20796d5dd8886edb73cdc4ccef0.tar.gz
add i2prouter bash completion
remove unneeded status command
Diffstat (limited to 'i2prouter.bash')
-rw-r--r--i2prouter.bash12
1 files changed, 12 insertions, 0 deletions
diff --git a/i2prouter.bash b/i2prouter.bash
new file mode 100644
index 000000000000..d95158603133
--- /dev/null
+++ b/i2prouter.bash
@@ -0,0 +1,12 @@
+_i2prouter()
+{
+ local cur prev opts
+ _init_completion || return
+
+ COMPREPLY=()
+ cur="${COMP_WORDS[COMP_CWORD]}"
+ prev="${COMP_WORDS[COMP_CWORD-1]}"
+ opts="console start stop graceful restart dump"
+ COMPREPLY=( $(compgen -W "${opts}" -- ${cur}) )
+}
+complete -F _i2prouter i2prouter